apiVersion: v1
kind: ConfigMap
metadata:
  name: cm-kt-event-marketing-frontend
  namespace: kt-event-marketing
data:
  runtime-env.js: |
    // 런타임 환경 설정 (배포 시 동적으로 주입 가능)
    window.__runtime_config__ = {
      API_GROUP: "/api/v1",

      // 7개 마이크로서비스 호스트
      USER_HOST: "http://kt-event-marketing-api.20.214.196.128.nip.io",
      EVENT_HOST: "http://kt-event-marketing-api.20.214.196.128.nip.io",
      CONTENT_HOST: "http://kt-event-marketing-api.20.214.196.128.nip.io",
      AI_HOST: "http://kt-event-marketing-api.20.214.196.128.nip.io",
      PARTICIPATION_HOST: "http://kt-event-marketing-api.20.214.196.128.nip.io",
      DISTRIBUTION_HOST: "http://kt-event-marketing-api.20.214.196.128.nip.io",
      ANALYTICS_HOST: "http://kt-event-marketing-api.20.214.196.128.nip.io",
    };
